-- generated by newgenasym Mon Jul 28 18:45:07 2014

library ieee;
use     ieee.std_logic_1164.all;
use     work.all;
entity pc049a_fpga is
    port (    
	ADC_DAV_I: IN     STD_LOGIC;    
	BUTTON1_I: IN     STD_LOGIC;    
	BUTTON2_I: IN     STD_LOGIC;    
	CCLK:      OUT    STD_LOGIC;    
	CK_40M_N_O: OUT    STD_LOGIC;    
	CK_40M_P_O: OUT    STD_LOGIC;    
	CK_R_O:    OUT    STD_LOGIC;    
	CK_SC_O:   OUT    STD_LOGIC;    
	CLK_125M_PLLREF_N_I: IN     STD_LOGIC;    
	CLK_125M_PLLREF_P_I: IN     STD_LOGIC;    
	CLK_20M_VCXO_I: IN     STD_LOGIC;    
	CMPCS_B_2: INOUT  STD_LOGIC;    
	CSO_B:     INOUT  STD_LOGIC;    
	CTEST_O:   OUT    STD_LOGIC_VECTOR (5 DOWNTO 0);    
	D_R_O:     OUT    STD_LOGIC;    
	D_SC_O:    OUT    STD_LOGIC;    
	DIN:       IN     STD_LOGIC;    
	DIP_SWITCH_I: IN     STD_LOGIC_VECTOR (3 DOWNTO 0);    
	DONE_2:    INOUT  STD_LOGIC;    
	EN_OTAQ_O: OUT    STD_LOGIC;    
	ENABLE_GCLK_DRIVE_O: OUT    STD_LOGIC;    
	ENABLE_GLOBALTRIG_DRIVE_O: OUT    STD_LOGIC;    
	FPGA_PLL_REF_CLK_101_N_I: IN     STD_LOGIC;    
	FPGA_PLL_REF_CLK_101_P_I: IN     STD_LOGIC;    
	FPGA_PLL_REF_CLK_123_N_I: IN     STD_LOGIC;    
	FPGA_PLL_REF_CLK_123_P_I: IN     STD_LOGIC;    
	FPGA_SCL_B: INOUT  STD_LOGIC;    
	FPGA_SDA_B: INOUT  STD_LOGIC;    
	GND:       IN     STD_LOGIC_VECTOR (70 DOWNTO 0);    
	GPIO:      OUT    STD_LOGIC_VECTOR (7 DOWNTO 0);    
	HOLD1_O:   OUT    STD_LOGIC;    
	HOLD2_O:   OUT    STD_LOGIC;    
	INIT_B:    IN     STD_LOGIC;    
	IO_L1N_A24_VREF_1: IN     STD_LOGIC;    
	IO_L1N_VREF_3: IN     STD_LOGIC;    
	IO_L28N_VREF_1: IN     STD_LOGIC;    
	IO_L31N_VREF_3: IN     STD_LOGIC;    
	IO_L53N_VREF_1: IN     STD_LOGIC;    
	IO_L57N_VREF_3: IN     STD_LOGIC;    
	IO_L83N_VREF_3: IN     STD_LOGIC;    
	LEDS_O:    OUT    STD_LOGIC_VECTOR (4 DOWNTO 0);    
	LVDS_GCLK_FROM_FPGA_N_O: OUT    STD_LOGIC;    
	LVDS_GCLK_FROM_FPGA_P_O: OUT    STD_LOGIC;    
	LVDS_GCLK_TO_FPGA_N_I: IN     STD_LOGIC;    
	LVDS_GCLK_TO_FPGA_P_I: IN     STD_LOGIC;    
	LVDS_GLOBALTRIG_FROM_FPGA_N_O: OUT    STD_LOGIC;    
	LVDS_GLOBALTRIG_FROM_FPGA_P_O: OUT    STD_LOGIC;    
	LVDS_GLOBALTRIG_TO_FPGA_N_I: IN     STD_LOGIC;    
	LVDS_GLOBALTRIG_TO_FPGA_P_I: IN     STD_LOGIC;    
	LVDS_LEFT_CLK_N_B: IN     STD_LOGIC;    
	LVDS_LEFT_CLK_P_B: IN     STD_LOGIC;    
	LVDS_LEFT_DATA_N_B: INOUT  STD_LOGIC_VECTOR (15 DOWNTO 0);    
	LVDS_LEFT_DATA_P_B: OUT    STD_LOGIC_VECTOR (15 DOWNTO 0);    
	LVDS_OTRIG_FROM_FPGA_N_O: OUT    STD_LOGIC;    
	LVDS_OTRIG_FROM_FPGA_P_O: OUT    STD_LOGIC;    
	LVDS_OTRIG_TO_FPGA_N_I: IN     STD_LOGIC;    
	LVDS_OTRIG_TO_FPGA_P_I: IN     STD_LOGIC;    
	LVDS_RIGHT_CLK_N_B: IN     STD_LOGIC;    
	LVDS_RIGHT_CLK_P_B: IN     STD_LOGIC;    
	LVDS_RIGHT_DATA_N_B: INOUT  STD_LOGIC_VECTOR (15 DOWNTO 0);    
	LVDS_RIGHT_DATA_P_B: OUT    STD_LOGIC_VECTOR (15 DOWNTO 0);    
	M0:        IN     STD_LOGIC;    
	M1:        IN     STD_LOGIC;    
	MAROC_TRIGGER_I: IN     STD_LOGIC_VECTOR (63 DOWNTO 0);    
	MGTAVCC_101: INOUT  STD_LOGIC;    
	MGTAVCC_123: INOUT  STD_LOGIC;    
	MGTAVCCPLL0_101: INOUT  STD_LOGIC;    
	MGTAVCCPLL0_123: INOUT  STD_LOGIC;    
	MGTAVCCPLL1_101: INOUT  STD_LOGIC;    
	MGTAVCCPLL1_123: INOUT  STD_LOGIC;    
	MGTAVTTRCAL_101: INOUT  STD_LOGIC;    
	MGTAVTTRX_101: INOUT  STD_LOGIC;    
	MGTAVTTRX_123: INOUT  STD_LOGIC;    
	MGTAVTTTX_101: INOUT  STD_LOGIC;    
	MGTAVTTTX_123: INOUT  STD_LOGIC;    
	MGTRREF_101: INOUT  STD_LOGIC;    
	MOSI:      OUT    STD_LOGIC;    
	ONE_WIRE_B: INOUT  STD_LOGIC;    
	OR_I:      IN     STD_LOGIC_VECTOR (1 DOWNTO 0);    
	OUT_ADC_I: IN     STD_LOGIC;    
	PLL25DAC1_SYNC_N_O: OUT    STD_LOGIC;    
	PLL25DAC2_SYNC_N_O: OUT    STD_LOGIC;    
	PLL25DAC_DIN_O: OUT    STD_LOGIC;    
	PLL25DAC_SCLK_O: OUT    STD_LOGIC;    
	PROGRAM_B_2: INOUT  STD_LOGIC;    
	Q_R_I:     IN     STD_LOGIC;    
	Q_SC_I:    IN     STD_LOGIC;    
	RFUSE:     INOUT  STD_LOGIC;    
	RST_ADC_N_O: OUT    STD_LOGIC;    
	RST_R_N_O: OUT    STD_LOGIC;    
	RST_SC_N_O: OUT    STD_LOGIC;    
	SATA_RXN_I: IN     STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SATA_RXP_I: IN     STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SATA_TXN_O: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SATA_TXP_O: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_LOS_I: IN     STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_MOD_DEF0_B: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_MOD_DEF1_B: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_MOD_DEF2_B: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_RATE_SELECT_B: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_RXN_I: IN     STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_RXP_I: IN     STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_TX_DISABLE_O: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_TX_FAULT_I: IN     STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_TXN_O: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SFP_TXP_O: OUT    STD_LOGIC_VECTOR (1 DOWNTO 0);    
	SI57X_CLK_N_I: INOUT  STD_LOGIC;    
	SI57X_CLK_P_I: IN     STD_LOGIC;    
	SI57X_OE_O: OUT    STD_LOGIC;    
	START_ADC_N_O: OUT    STD_LOGIC;    
	SUSPEND:   INOUT  STD_LOGIC;    
	TCK:       IN     STD_LOGIC;    
	TDI:       IN     STD_LOGIC;    
	TDO:       OUT    STD_LOGIC;    
	TMS:       IN     STD_LOGIC;    
	VBATT:     INOUT  STD_LOGIC;    
	VCCAUX:    IN     STD_LOGIC_VECTOR (12 DOWNTO 0);    
	VCCINT:    IN     STD_LOGIC_VECTOR (19 DOWNTO 0);    
	VCCO_0:    IN     STD_LOGIC_VECTOR (5 DOWNTO 0);    
	VCCO_1:    IN     STD_LOGIC_VECTOR (9 DOWNTO 0);    
	VCCO_2:    IN     STD_LOGIC_VECTOR (10 DOWNTO 0);    
	VCCO_3:    IN     STD_LOGIC_VECTOR (9 DOWNTO 0);    
	VFS:       INOUT  STD_LOGIC);
end pc049a_fpga;
